﻿html, body, * {
    font-family: Tahoma, Arial;
    font-size: 12px;
    border-width: 0;
}

html, body
{
    width: 100% !important;
    height: 100%;
    overflow: hidden;
    padding: 0 !important;
    margin: 0 !important;
    background-color: White;
}
form
{
    width: 100%;
    height: 100%;
}

input[type=text], input[type=password], input[type=number], textarea, select
{
    border: 1px solid #adadad;
}

.headerrow
{
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 57px;
}

.contenttable
{
    width: 100%;
    height: 100%;
    border-width: 0px;
    padding: 0px;
    margin: 0px;
}
.menucolumn
{
    width: 240px;
    height: 100%;
    position: relative;
}

.contentcolumn
{
    height: 100%;
    position: relative;
}

.contentrow
{
    position: absolute;
    left: 0px;
    right: 0px;
    top: 57px;
    bottom: 16px;
}

.maximizedcontentrow
{
    top: 0px;
    bottom: 0px;
}

.maximizedcontentdiv
{
    left: 0px !important;
}


.menudiv
{
    position: absolute;
    left: 0;
    width: 203px;
    top: 0;
    bottom: 0;
    background-color: #dbdbdb;
    border-right: 1px solid #989898;
    overflow: auto;
}
.moduleheader {
    height: 22px;
}
.moduletitle {
    padding-left: 12px;
}

.splitter
{
    overflow: hidden;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 200px;
    width: 6px;
    z-index: 10;
    cursor: w-resize;
}

.splitteractive
{
    background-color: #dedede;
}

.btnsplitterleft
{
    position: absolute;
    top: 50%;
    left: 0px;
    border: none;
    background-image: url('../Images/splitter_left.gif');
    background-position: center;
    background-repeat: no-repeat;
    width: 6px;
    height: 35px;
}

.btnsplitterright
{
    position: absolute;
    top: 50%;
    left: 0px;
    border: none;
    background-image: url('../Images/splitter_right.gif');
    background-position: center;
    background-repeat: no-repeat;
    width: 6px;
    height: 35px;
}

.btnsplittertop
{
    position: absolute;
    top: 0px;
    left: 50%;
    border: none;
    background-image: url('../Images/splitter_up.gif');
    background-position: center center;
    background-repeat: no-repeat;
    height: 6px;
    width: 35px;
}

.btnsplitterbottom
{
    position: absolute;
    top: 0px;
    left: 50%;
    border: none;
    background-image: url('../Images/splitter_down.gif');
    background-position: center center;
    background-repeat: no-repeat;
    height: 6px;
    width: 35px;
}

.splitterbuttonactive
{
    cursor: pointer;
    background-color: #d8d8d8;
}

.contentdiv
{
    overflow: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 204px;
    right: 0;
}

.footerrow
{
    height: 17px;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: url( '../images/fm_bottom_bar_bg.png' ) repeat-x 0 0;
    color: White;
    font-size: 11px;
    padding-right: 3px;
    text-align: right;
}

/*header and footer*/
table.cjheader
{
    width: 100%;
    height: 57px;
    background: url( '../images/fm_header_bg.png' ) repeat-x 0 0;
}


.cjlogin a span
{
    vertical-align: unset;
}

.cjlogin a:focus
{
    box-shadow: 0 0 0 2px #8BB7DB;
}

.cjlogin *
{
    vertical-align: middle;
}

.cjlogin .logout
{
    text-align: right;
    padding-left: 2px;
    vertical-align: top;
}

.cjLoginUL
{
    background: url('../Images/cjlogin_ul.gif') right no-repeat;
}

.cjLoginUR
{
    background: url('../Images/cjlogin_ur.gif') right no-repeat;
}

.cjLoginUM
{
    background: url('../Images/cjlogin_um.gif') center repeat-x;
}

.cjLoginLL
{
    background: url('../Images/cjlogin_ll_new.gif') right no-repeat;
}

.cjLoginLR
{
    background: url('../Images/cjlogin_lr_new.gif') right no-repeat;
}

.cjLoginLM
{
    background: url('../Images/cjlogin_lm_new.gif') center repeat-x;
}

.cjLabelBold
{
    font-weight: bold;
    background-color: #dedede;
}
.lblBold
{
    font-weight: bold;
}
.cjLabelBoldFull
{
    font-weight: bold;
    background-color: #dedede;
    width: 100%;
    padding: 3px 0px;
}

.titlecontainer
{
    height: 20px;
    background: #EEEEEE;
    padding-left: 7px;
    padding-top: 3px;
    padding-bottom: 1px;
    font-weight: bold;
    color: #5d5d5d;
    border-bottom: 1px solid #989898;
}

.helpcontainer
{
    padding-left: 30px;
    display: none;
    background: url(../Images/info_24.png) 3px center no-repeat;
    position: absolute;
    top: 21px;
    left: 0px;
    right: 0px;
    height: 30px;
    overflow: auto;
    background-color: #FFFFE1;
    line-height: 30px;
    vertical-align: middle;
}

.btnmaximizemodule
{
    position: absolute;
    right: 0;
    top: 2px;
    height: 20px;
    width: 20px;
    border-width: 0px;
    background: url(../Images/Fullscreen.png) center no-repeat;
    float: right;
    margin-right: 5px;
    cursor: pointer;
}

.btnminimizemodule {
    background: url(../Images/Minimize.png) center no-repeat;
}

.btnshowhelp {
    position: absolute;
    right: 31px;
    top: 4px;
    height: 16px;
    width: 16px;
    border-width: 0;
    cursor: pointer;
    background: url('../Images/question_idle.png') no-repeat center center;
}

.btnshowhelp:hover {
    background-image: url('../Images/question_idle.png');
    opacity: 0.2;
}

.contentpane
{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}


.modulecontainer
{
    padding: 0px;
    position: absolute;
    top: 25px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    overflow: hidden;
}

.moduleheaderclosed
{
    background-color: #DBDBDB;
    border: none;
}

span.moduletitle {
    width: 100%;
    text-align: center;
    font-size: 13px;
    font-weight: bold;
    vertical-align: middle;
    padding-left: 9px;
    color: #424242;
}

.fullarea
{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}
.messagearea
{
    position: absolute;
    top: 4px;
    height: 0;
    left: 1px;
    right: 1px;
    height: 30px;
    line-height: 30px;
    vertical-align: middle;
    border: 1px solid #989898;
    display: none;
    overflow: auto;
    padding-left: 30px;
}
.messageareashow
{
    display: block;
    height: 30px;
}

.warningarea, .errorarea, .infoarea {
    border-width: 1px;
    border-style: solid;
    display: block;
    background-color: #DBDBDB;
    background-position: 2px center;
    background-repeat: no-repeat;
    color: #5e5e5e;
}

.warningarea
{
    background-image: url('../Images/bw_icons/sign_warning.png');
    border-color: #FBB03B;
}
.errorarea
{
    background-image: url('../Images/bw_icons/sign_error.png');
    border-color: #E62222; 
}
.infoarea
{
    background-image: url('../Images/bw_icons/sign_info.png');
    border-color: #dedede;
}

.closemessagearea
{
	border: none;
    position: absolute;
    right: 5px;
    top: 5px;
    width: 16px;
    height: 16px;
    background:transparent url('../Images/close_16.png') center no-repeat;
    cursor: pointer;
}

.containerarea, .containerarealist, .containerareaform
{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.containerarea, .containerareaform
{
    overflow: auto;
}

.containerarealist
{
    overflow: hidden;
    padding: 2px;
}

/*
    For places that have a DX grid, but not inside a .containerarealist, use a DIV with this class.
    The purpose of the 2px padding is to leave space to make it visible when the entire grid is focused, which
    is important for keyboard navigation.
*/
.gridPadding {
    padding: 2px;
}

.containerareaform
{
    bottom: 36px;
    padding: 0;
    left: 6px;
    right: 6px;
    top: 6px;
}

.ui-dialog-content > .containerareaform {
    left: 0px;
    right: 0px;
}

.containerareafull
{
    bottom: 0;
}

.actionarea, .actionarealist, .actionareaform
{
    position: absolute;
    height: 40px;
    bottom: 0;
    left: 0;
    right: 0px;
    text-align: right;
}

.actionareaform
{
    right: 0;
}

.actionarea .bg, .actionarealist .bg, .actionareaform .bg
{
    background: url(../images/button_bg.png) repeat;
    width: 100%;height: 100%;
}

.simplemodal-container .actionareaform .bg {
    background: none;
}

.tblButtons
{
    float: right;
    position: relative;
    border-collapse: separate;
}


.tblButtons td
{
    padding: 1px;
}

.actionarealist .tblButtons
{
	width:100%;
    height: 100%;
    border-spacing: 0;
}

.tblButtons .standardListButtons {
    text-align: left;
    white-space: nowrap;
    vertical-align: top;
    padding-top: 6px;
}

.tblButtons .standardListButtons input {
    margin-left: 4px;
}

.verticalmenu
{
    background: url('../images/navigation_black.png') center top no-repeat;
    margin-top: 25px;
    padding-left: 10px;
    width: 10px !important;
    height: 200px;
    position: absolute;
}

.modulehideleft {
    position: absolute;
    top: 7px;    
    right: 5px;
    cursor: pointer;
    background: url('../images/nav-icons/left_dark.png') 0 center no-repeat;
    width: 17px;
    height: 15px;
    z-index: 10;
}

.modulehideleft:hover
{
    background-position: -20px center;
}

.modulehideright
{
    position: absolute;
    top: 4px;
    right: 2px;
    cursor: pointer;
    background: url('../images/nav-icons/right_dark.png') -2px center no-repeat;
    width: 15px;
    height: 15px;
    z-index: 10;
}

.modulehideright:hover
{
    background-position: -22px center;
}

.moduleshow {
    position: absolute;
    top: 50%;
    left: -2px;
    cursor: pointer;
}

/* main content part */
.maintable
{
    width: 100%;
    border-collapse: collapse;
}

.oneline
{
    white-space: nowrap;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
}

.info
{
    background: url('../Images/info_idle.png') no-repeat center center;
    width: 20px;
    margin-right: 3px;
    text-decoration: none;
    margin-top: 1px;
    display: inline-block;
}

.info span
{
    visibility: hidden;
}

#lnkSytemInfo:focus {
    background-image: url('../Images/info_hover.png');
    box-shadow: 0 0 0 2px #165B9A;
}
#lnkSytemInfo:hover {
    background-image: url('../Images/info_hover.png');
}

.lnksearch {
    position: absolute;
    left: 10px;
    top: 0px;
    bottom: 0px;
    background: url(../Images/black_search.png) left center no-repeat;
    padding-left: 18px;
    color: #000;
    text-decoration: none;
}

.lnksearch:hover {
    color: #4E4E4E;
}

.lnksearch:focus {
    color: #4E4E4E;
    box-shadow: 0 0 0 2px #165B9A;
}

.cmdButton {
    color: #000 !important;
    border: none;
    cursor: pointer !important;
    background: url("../Images/bw_icons/button.png") no-repeat 0 0;   
    padding-bottom: 6px;
    width: 147px;
    height: 24px !important;
    overflow: visible;
    margin-left: 3px;
    padding: 1px 6px 6px 6px !important;
    box-shadow: none !important;
    outline: none !important;
}

.btnautowidth {
    width: auto;
} 
 
.cmdButton[disabled]
{
    color: #848383 !important;
    background: url("../Images/bw_icons/button_disabled.png") no-repeat 0 0;
    cursor: not-allowed !important;
}

.cmdButton[disabled]:hover, .cmdButton[disabled]:focus {
    background-position: 0;
}

.ui-state-hover, .ui-state-active
{
    border-color: #5794bf;
}

.ui-state-hover
{
    background-color: #39f;
}

.ui-widget {
	font-family: Tahoma, Arial;
	font-size: 1.1em;
}

.ui-widget input,
.ui-widget select,
.ui-widget textarea,
.ui-widget button {
	font-family: Tahoma, Arial;
	font-size: 1em;
    font-weight: normal;
}

.ui-widget button:focus {
    font-weight: normal !important;
}

.simplemodal-container .ui-dialog-buttonpane button {
    color: #000 !important;
    border: none;
    cursor: pointer !important;
    background: url("../Images/bw_icons/button.png") no-repeat 0 0;
    padding-bottom: 6px;
    width: 147px;
    height: 24px !important;
    overflow: visible;
    margin-left: 3px;
}

.simplemodal-container .ui-dialog-buttonpane button[disabled] {
    cursor: not-allowed !important;
    color: #848383 !important;
    background: url("../Images/bw_icons/button_disabled.png") no-repeat 0 0;
    cursor: not-allowed !important;
    opacity: 1 !important
}

.simplemodal-container .ui-dialog-buttonpane button:focus {
    background-position: 0 -24px;
}

.cmdButtonMiddle
{
    background: url("../Images/bw_icons/button_middle.png") no-repeat 0 0;    
    background-size: 100% 48px;
    width: auto;
    min-width: 147px;
    color: #000 !important;
    border: none;
    cursor: pointer !important;    
    padding-bottom: 6px;    
    height: 24px !important;
    overflow: visible;
    padding: 1px 6px 6px 6px !important;
    box-shadow: none !important;
}

.cmdButtonMiddle[disabled]
{
    background: url("../Images/bw_icons/button_middle_disabled.png") no-repeat 0 0; 
    width: auto;
    min-width: 147px;
}

.cmdButtonMiddle:hover, .cmdButtonMiddle:focus, .simplemodal-container .ui-dialog-buttonpane button:hover, .simplemodal-container .ui-dialog-buttonpane button.ui-state-focus {
    background-position: 0 -24px;
    font-weight: normal;
}

.cmdButtonSmall {
    background: url("../Images/bw_icons/button_small.png") no-repeat 0 0;
    width: 117px;
}

.cmdButtonSmall[disabled]
{
    background: url("../Images/bw_icons/button_small_disabled.png") no-repeat 0 0;
}


.cmdButton:hover, .cmdButton:focus, .simplemodal-container .ui-dialog-buttonpane button:hover, .simplemodal-container .ui-dialog-buttonpane button.ui-state-focus {
    background-position: 0 -24px;
}

.simplemodal-container .ui-state-hover
{
    border: none;
    background: transparent none;
}

.ajax-loading {
    background : white url(../images/ajax-loader.gif) center no-repeat !important;
}

.matrixControlHeaderBack {
    background-image: url('../App_Themes/Office2010Silver/GridView/gvHeaderBack.png');
}

#logo {
    height: 97%;
    border-spacing: 0;
    outline: 0;
}

/* anchors, when wrapped deep inside DevExpress stuff, to get them looking like they usually do */
a.anchor-reset {
    text-decoration: underline;
    color: #165B9A;
}

/*anchors*/
a:focus {
    box-shadow: 0 0 0 2px #8BB7DB;
}
/*for FireFox*/
a::-moz-focus-inner {
    border: 0px;
}

/* for jQuery UI tab navigation */
.ui-tabs-nav a:focus {
    box-shadow: none;
}

.ui-tabs-nav li.ui-state-focus {
    box-shadow: 0 0 0 1px #8BB7DB inset;
}


input[type="text"]:focus, input[type="password"]:focus, textarea:focus {
    box-shadow: 0 0 0 1px #8BB7DB inset !important;
}

textarea:focus {
    outline: none;
}

/*Inputs*/
input:focus {
    box-shadow: 0 0 0 2px #8BB7DB;
    outline: none;
}

/*for FireFox*/
input::-moz-focus-inner {
    border: 0px;
}


/*Images*/
img:focus {
    box-shadow: 0 0 0 2px #8BB7DB;
    outline: none;
}
/*for FireFox*/
img::-moz-focus-inner {
    border: 0px;
}

button.cmdButton::-moz-focus-inner, button.cmdButtonMiddle::-moz-focus-inner {
    border: 0px;
}

button.ui-button-icon-only:focus span.ui-icon {
    box-shadow: 0 0 0 2px #8BB7DB;
}

/* This will hide the element in a way that a screen reader will still read it */
.screen-reader-hidden {
    position: absolute;
    left: -10000px;
    top: auto;
    width: 1px;
    height: 1px;
    overflow: hidden;
    z-index: 1000000;
}